import 'package:dio_repository/dio_repository.dart';
import 'package:example/global_settings.dart';
import 'package:flutter/material.dart';

Future<Null> main() async {
  ///初始化一些事情
  GlobalSettings.init().whenComplete(() {
    runApp(MyApp());
  });
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: '网络工具类',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: '网络工具类'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key? key, required this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Text(
              '测试网络',
            ),
          ],
        ),
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: _incrementCounter,
        tooltip: '测试',
        child: Icon(Icons.add),
      ),
    );
  }

  void _incrementCounter() async {
    dynamic data = await DSDioUtil.getInstance()
        .get('/xxxx', queryParameters: {'key': 'value'});
    print(data);
  }
}
